"Fossies" - the Fresh Open Source Software Archive  

Source code changes of the file "meson.build" between
evince-40.1.tar.xz and evince-40.2.tar.xz

About: Evince is a document viewer for multiple document formats. It currently supports PDF, Postscript, DjVu, TIFF, DVI, XPS, SyncTex and optionally some Comics formats (requires poppler and ghostview; GNOME).

meson.build  (evince-40.1.tar.xz):meson.build  (evince-40.2.tar.xz)
project( project(
'evince', ['c', 'cpp'], 'evince', ['c', 'cpp'],
version: '40.1', version: '40.2',
license: 'GPL2+', license: 'GPL2+',
default_options: 'buildtype=debugoptimized', default_options: 'buildtype=debugoptimized',
meson_version: '>= 0.50.0', meson_version: '>= 0.50.0',
) )
ev_name = meson.project_name().to_lower() ev_name = meson.project_name().to_lower()
ev_version = meson.project_version() ev_version = meson.project_version()
version_array = ev_version.split('.') version_array = ev_version.split('.')
ev_major_version = version_array[0].to_int() ev_major_version = version_array[0].to_int()
skipping to change at line 368 skipping to change at line 368
['long', 'LONG'], ['long', 'LONG'],
['long long', 'LONG_LONG'], ['long long', 'LONG_LONG'],
['void *', 'VOID_P'], ['void *', 'VOID_P'],
] ]
foreach type: types foreach type: types
config_h.set('SIZEOF_' + type[1], cc.sizeof(type[0])) config_h.set('SIZEOF_' + type[1], cc.sizeof(type[0]))
endforeach endforeach
t1_dep = cc.find_library('t1', required: get_option('t1lib')) t1_dep = cc.find_library('t1', required: get_option('t1lib'))
enable_t1lib = t1_dep.found() and cc.has_function('T1_initLib', dependencies: t1_dep) enable_t1lib = t1_dep.found() and cc.has_function('T1_InitLib', dependencies: t1_dep)
config_h.set('WITH_TYPE1_FONTS', enable_t1lib) config_h.set('WITH_TYPE1_FONTS', enable_t1lib)
backends += {'dvi': mime_types_list.get('dvi')} backends += {'dvi': mime_types_list.get('dvi')}
evince_mime_types += mime_types_list.get('dvi') evince_mime_types += mime_types_list.get('dvi')
elif get_option('dvi').auto() elif get_option('dvi').auto()
warning('Dvi support is disabled since kpathsea library or libspectre are not found. Check your installation.') warning('Dvi support is disabled since kpathsea library or libspectre are not found. Check your installation.')
endif endif
# *** PDF *** # *** PDF ***
poppler_req_version = '>= 0.33.0' poppler_req_version = '>= 0.33.0'
 End of changes. 2 change blocks. 
2 lines changed or deleted 2 lines changed or added

Home  |  About  |  Features  |  All  |  Newest  |  Dox  |  Diffs  |  RSS Feeds  |  Screenshots  |  Comments  |  Imprint  |  Privacy  |  HTTP(S)